Retrieve the casting information for all shots from a specific sequence.
GET
/data/projects/{project_id}/sequences/{sequence_id}/casting
curl
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/sequences/f79f1jf9-hj20-9110-f625-02908537h70/casting" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/sequences/f79f1jf9-hj20-9110-f625-02908537h70/casting"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/sequences/f79f1jf9-hj20-9110-f625-02908537h70/casting' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"shot_id": "e68e0ie8-gi19-8009-e514-91897426g69",
"shot_name": "SH001",
"sequence_id": "f79f1jf9-hj20-9110-f625-02908537h70",
"casting": [
{
"asset_id": "c46c8gc6-eg97-6887-c292-79675204e47",
"asset_name": "Main Character"
}
]
}
]